<form
    class="{{cssClass}} document"
    autocomplete="off">
    <header class="header">
        <div class="header__body">
            <div class="header__row">
                <input
                    class="header__name field field--no-decoration field--center"
                    type="text"
                    name="name"
                    value="{{item.name}}"
                    data-dtype="String">
            </div>
        </div>
    </header>

    <nav
        class="tabs"
        data-group="primary">
        <a
            class="tabs__item"
            data-tab="skills">
            {{localize "WARLOCK.Tabs.Skills"}}
        </a>

        <a
            class="tabs__item"
            data-tab="description">
            {{localize "WARLOCK.Tabs.Description"}}
        </a>
    </nav>

    <section class="body">
        <div
            class="tab skills-tab"
            data-group="primary"
            data-tab="skills">
            <div class="career-skills table">
                <div class="career-skills__header table__header">
                    <span class="career-skills__header-field table__header-field">
                        {{localize "WARLOCK.Items.Career.Skill"}}
                    </span>

                    <span class="career-skills__header-field table__header-field">
                        {{localize "WARLOCK.Items.Career.Current"}}
                    </span>

                    <span class="career-skills__header-field table__header-field">
                        {{localize "WARLOCK.Items.Career.Max"}}
                    </span>

                    <!-- The header entries are duplicated since the body is a two-column grid. -->
                    <span class="career-skills__header-field table__header-field">
                        {{localize "WARLOCK.Items.Career.Skill"}}
                    </span>

                    <span class="career-skills__header-field table__header-field">
                        {{localize "WARLOCK.Items.Career.Current"}}
                    </span>

                    <span class="career-skills__header-field table__header-field">
                        {{localize "WARLOCK.Items.Career.Max"}}
                    </span>
                </div>

                <div class="career-skills__body table__body">
                    {{#each data.system.adventuringSkills}}
                    <div
                        class="career-skills__entry table__entry"
                        data-skill="{{@key}}">
                        <span class="career-skills__entry-field table__entry-field">
                            {{localizeSkill @key}}
                        </span>

                        <span class="career-skills__entry-field table__entry-field">
                            <a class="toggle-career-skill">
                                {{#if isCareerSkill}}
                                <i class="fas fa-check-square"></i>
                                {{else}}
                                <i class="far fa-square"></i>
                                {{/if}}
                            </a>
                        </span>

                        <input
                            class="edit-career-skill-level career-skills__entry-field table__entry-field field field--no-decoration"
                            type="number"
                            value="{{maximumLevel}}"
                            data-dtype="Number"
                            data-career-skill="{{@key}}"
                            {{#unless isCareerSkill}}disabled{{/unless}}>
                    </div>
                    {{/each}}
                </div>
            </div>
        </div>

        <div
            class="tab notes-tab"
            data-group="primary"
            data-tab="description">
            <div class="flex flex--column flex--no-gap">
                {{editor
                    data.system.description
                    target="system.description"
                    button=true
                    owner=owner
                    editable=editable}}
            </div>
        </div>
    </section>
</form>
